Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1184147 - EPEL7 package request - libcec
Summary: EPEL7 package request - libcec
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libcec
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-20 16:38 UTC by Ben Konrath
Modified: 2015-05-20 04:51 UTC (History)
1 user (show)

Fixed In Version: libcec-2.2.0-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-20 04:51:59 UTC
Type: Bug
Embargoed:
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ben Konrath 2015-01-20 16:38:41 UTC
It would be nice to see this package in the EPEL 7 repository.

Here is some information about EPEL:

https://fedoraproject.org/wiki/Getting_a_Fedora_package_in_EPEL
https://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies

I managed to get libcec-2.2.0-1.fc21.src.rpm to compile on EL7 so it should be easy to submit the build.

Here are the instructions I used to build this package locally in case anybody is interested:

* Download the src rpm

http://dl.fedoraproject.org/pub/fedora/linux/development/21/source/SRPMS/l/libcec-2.2.0-1.fc21.src.rpm

* Install the build dependencies:

sudo yum-builddep libcec-2.2.0-1.fc21.src.rpm

* Run the build:

rpmbuild --rebuild libcec-2.2.0-1.fc21.src.rpm

* Install the rpms:

sudo yum localinstall ~/rpmbuild/RPMS/x86_64/libcec*.rpm

Thanks, Ben

Comment 1 Ben Konrath 2015-01-31 18:02:59 UTC
Hi Peter, I don't mean to be a pest but it would be nice to know if you're interested submitting a build to EL7. I'm itching to try my Pulse Eight USB CEC adapter on my machine. Thanks, Ben

Comment 2 Peter Robinson 2015-02-01 11:30:21 UTC
Sorry, I've been travelling and haven't had time to review. I need to check all the bits are in place, it's not as simple as just building it. It's on my todo list though

Comment 3 Ben Konrath 2015-02-01 11:49:38 UTC
Thanks for the update. Enjoy your travels!

Comment 4 Jaroslav Reznik 2015-03-03 16:44:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 5 Ben Konrath 2015-04-29 06:26:32 UTC
Hi Peter, I'm just wondering if you have time now to submit this package to EPEL? Thanks, Ben

Comment 6 Peter Robinson 2015-04-29 08:17:49 UTC
Sorry, slipped through the BZ dragnet

Package Change Request
======================
Package Name: rest
New Branches: EL-7
Owners: pbrobinson

Comment 7 Gwyn Ciesla 2015-04-29 10:46:47 UTC
Git done (by process-git-requests).

Comment 8 Ben Konrath 2015-05-01 10:07:32 UTC
No problem on the oversight. Thanks for working on this. Just one question: I noticed that the package change request was for the 'rest' package, not the libcec package. Is this correct?

Comment 9 Peter Robinson 2015-05-01 10:31:06 UTC
(In reply to Ben Konrath from comment #8)
> No problem on the oversight. Thanks for working on this. Just one question:
> I noticed that the package change request was for the 'rest' package, not
> the libcec package. Is this correct?

Nope, it was a cut and paste error. Sigh!

Comment 10 Peter Robinson 2015-05-01 10:32:28 UTC
Package Change Request
======================
Package Name: libcec
New Branches: EL-7
Owners: pbrobinson

Comment 11 Gwyn Ciesla 2015-05-01 11:09:05 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2015-05-01 11:22:49 UTC
libcec-2.2.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/libcec-2.2.0-1.el7

Comment 13 Fedora Update System 2015-05-01 19:40:55 UTC
libcec-2.2.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 14 Fedora Update System 2015-05-20 04:51:59 UTC
libcec-2.2.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.